<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:variable name="repImages" select="'../images/'"></xsl:variable>

  <xsl:template match="/">
    <html>
      <head>
        <title><xsl:value-of select="categorie/cat_libelle"/></title>	  
        <link rel="stylesheet" type="text/css" href="lafleur.css"/>
	</head>
    <body>
	<h1><xsl:value-of select="categorie/cat_libelle"/></h1>
    	<table border="1" width="100%">
			<xsl:apply-templates select="categorie/produit"/>
		</table> 
	</body>
    </html>
  </xsl:template>
    
  <xsl:template match="produit">
        <tr>
			<td class="image">
				<xsl:variable name="image" select="pdt_image"></xsl:variable>
				<xsl:variable name="source" select="concat($repImages, pdt_image, '.jpg')"/>
				<img src="{$source}" title="{$source}"/>
			</td>
			<td class="ref">rf.<xsl:value-of select="pdt_ref"/></td>
			<td class="designation"><xsl:value-of select="pdt_designation"/></td>
			<td class="prix"><xsl:value-of select="format-number(pdt_prix,'#,##0.00 E')"/></td>
		</tr>
  </xsl:template>

</xsl:stylesheet>
